Index: code/branches/lastmanstanding3/data/levels/lastManStanding.oxw
===================================================================
--- code/branches/lastmanstanding3/data/levels/lastManStanding.oxw	(revision 7902)
+++ code/branches/lastmanstanding3/data/levels/lastManStanding.oxw	(revision 7903)
@@ -1,2 +1,8 @@
+<LevelInfo
+ name = "Last Man Standing"
+ description = "Be the sole survivor."
+ tags = ""
+/>
+
 <?lua
   include("stats.oxo")
@@ -38,29 +44,23 @@
 
 <!-- ------------ middle asteroid -------------- -->
-    <StaticEntity position="0,20,0" collisionType=static>
-       <attached>
-           <Model position="0,0,0" scale=140 mesh="asteroid_UV.mesh" shadow=true />
-           <!-- ParticleEmitter position="0,0,0" source="Orxonox/Steam" / -->
-       </attached>
-      <collisionShapes>
-        <SphereCollisionShape radius="145" />
-      </collisionShapes>
+    <StaticEntity position="0,0,0" collisionType=static>    
+        <attached>
+            <MovableEntity position="0,20,0" rotationrate="-4.5" rotationaxis="0,1,0" >
+                <attached>
+                    <Model position="0,0,0" scale=140 mesh="asteroid_UV.mesh" shadow=true />
+                    <Model position="-160,40,28.4" scale=1 mesh="sphere.mesh" /><!--EasterEgg indicator-->
+                    <PickupSpawner position="-160,40,17" triggerDistance="20" respawnTime="5" maxSpawnedItems="15"><!--EasterEgg-->
+                        <pickup>
+                            <InvisiblePickup template=hugeinvisiblepickup />
+                        </pickup>
+                    </PickupSpawner>
+                </attached>
+            </MovableEntity>
+        </attached>
+        <collisionShapes>
+            <SphereCollisionShape radius="145" />
+        </collisionShapes>
     </StaticEntity>
 
-    <PickupSpawner position="-160,65,10" triggerDistance="10" respawnTime="5" maxSpawnedItems="10"><!--EasterEgg-->
-      <pickup>
-        <InvisiblePickup template=mediuminvisiblepickup />
-      </pickup>
-    </PickupSpawner>
-    <PickupSpawner position="-160,60,17" triggerDistance="10" respawnTime="5" maxSpawnedItems="10"><!--EasterEgg-->
-      <pickup>
-        <InvisiblePickup template=hugeinvisiblepickup />
-      </pickup>
-    </PickupSpawner>
-    <StaticEntity position="-160,60,28.4"><!--EasterEgg-Indicator-->
-      <attached>
-        <Model position="0,0,0" scale=1 mesh="sphere.mesh" />
-      </attached>
-    </StaticEntity>
 
 <!-- ---------------asteroid dome----------------- -->
@@ -138,5 +138,5 @@
 
 
-<?lua end ?>
+<?lua end ?><!-- ---------------asteroid dome END------------------->
 
   </Scene>
Index: code/branches/lastmanstanding3/data/levels/lastTeamStanding.oxw
===================================================================
--- code/branches/lastmanstanding3/data/levels/lastTeamStanding.oxw	(revision 7903)
+++ code/branches/lastmanstanding3/data/levels/lastTeamStanding.oxw	(revision 7903)
@@ -0,0 +1,142 @@
+<LevelInfo
+ name = "Last Team Standing"
+ description = "Survive as a team."
+ tags = "singleplayer"
+/>
+<?lua
+  include("stats.oxo")
+  include("HUDTemplates3.oxo")
+  include("templates/lodInformation.oxt")
+  include("lastTeamStandingHUD.oxo")
+  include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipPirate.oxt")
+  include("templates/pickupRepresentationTemplates.oxt")
+?>
+
+<Level
+ name         = "Last Team Standing"
+ description  = "testmap for gametype last team standing"
+ gametype     =  "LastTeamStanding"
+>
+  <templates>
+    <Template link=lodtemplate_default />
+  </templates>
+
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/skypanoramagen1"
+  >
+
+    <?lua
+      include("includes/pickups.oxi")
+    ?>
+
+<Bot />
+
+<!-- ------------ middle asteroid -------------- -->
+    <StaticEntity position="0,20,0" collisionType=static>
+       <attached>
+           <Model position="0,0,0" scale=140 mesh="asteroid_UV.mesh" shadow=true />
+           <!-- ParticleEmitter position="0,0,0" source="Orxonox/Steam" / -->
+       </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="145" />
+      </collisionShapes>
+    </StaticEntity>
+
+    <PickupSpawner position="-160,65,10" triggerDistance="10" respawnTime="5" maxSpawnedItems="10"><!--EasterEgg-->
+      <pickup>
+        <InvisiblePickup template=mediuminvisiblepickup />
+      </pickup>
+    </PickupSpawner>
+    <PickupSpawner position="-160,60,17" triggerDistance="10" respawnTime="5" maxSpawnedItems="10"><!--EasterEgg-->
+      <pickup>
+        <InvisiblePickup template=hugeinvisiblepickup />
+      </pickup>
+    </PickupSpawner>
+    <StaticEntity position="-160,60,28.4"><!--EasterEgg-Indicator-->
+      <attached>
+        <Model position="0,0,0" scale=1 mesh="sphere.mesh" />
+      </attached>
+    </StaticEntity>
+
+<!-- ---------------asteroid dome----------------- -->
+<?lua
+max = 16
+for i = 0, max, 1
+do
+    y = math.sin(i/max*6)*750
+    z = math.cos(i/max*6)*750
+    j = 1
+    ?>
+
+    <TeamSpawnPoint team=<?lua print( math.mod(i,4)) ?> position="<?lua print(y*1.4+z*0.2) ?>,0,<?lua print(z*1.4-y*0.2) ?>" direction="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+
+    <StaticEntity position="<?lua print(y) ?>,0,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> collisionType=static >
+      <attached>
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh">
+	</Model>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="<?lua print(j * 2) ?>,100,<?lua print(j * 2) ?>" position = "0,0,0" />
+      </collisionShapes>
+    </StaticEntity>
+
+    <StaticEntity position="<?lua print(y) ?>,100,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> collisionType=static >
+      <attached>
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i+3,6) + 1) ?>.mesh">
+	</Model>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
+      </collisionShapes>
+    </StaticEntity>
+
+    <StaticEntity position="<?lua print(y) ?>,200,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> collisionType=static >
+      <attached>
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*5,6) + 1) ?>.mesh">
+	</Model>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
+      </collisionShapes>
+    </StaticEntity>
+
+    <StaticEntity position="<?lua print(y) ?>,-100,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> collisionType=static >
+      <attached>
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*13+1,6) + 1) ?>.mesh">
+	</Model>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
+      </collisionShapes>
+    </StaticEntity>
+
+    <StaticEntity position="<?lua print(y) ?>,-200,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> collisionType=static >
+      <attached>
+        <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*17,6) + 1) ?>.mesh">
+	</Model>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
+      </collisionShapes>
+    </StaticEntity>
+
+<!-- ---------Top Asteroid----------- -->
+    <StaticEntity position="<?lua print(y) ?>,300,<?lua print(z) ?>" scale=<?lua print(j * 2.1) ?> pitch="90" roll="180" yaw="<?lua print(-90+i*360/max) ?>" collisionType=static >
+      <attached>
+        <Model position="0,0,0" scale=25 mesh="ast6.mesh">
+	</Model>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="50,140,30" position="0,0,0"/>
+      </collisionShapes>
+    </StaticEntity>
+
+
+<?lua end ?>
+
+  </Scene>
+</Level>
+
+
Index: code/branches/lastmanstanding3/data/overlays/lastManStandingHUD.oxo
===================================================================
--- code/branches/lastmanstanding3/data/overlays/lastManStandingHUD.oxo	(revision 7902)
+++ code/branches/lastmanstanding3/data/overlays/lastManStandingHUD.oxo	(revision 7903)
@@ -65,5 +65,5 @@
     />
 
-    <OverlayText
+    <!--OverlayText
      position  = "0.02, 0.07"
      pickpoint = "0.0, 0.0"
@@ -93,5 +93,5 @@
      align     = "left"
      caption   = "|"
-    />
+    /-->
 
   </OverlayGroup>
Index: code/branches/lastmanstanding3/data/overlays/lastTeamStandingHUD.oxo
===================================================================
--- code/branches/lastmanstanding3/data/overlays/lastTeamStandingHUD.oxo	(revision 7903)
+++ code/branches/lastmanstanding3/data/overlays/lastTeamStandingHUD.oxo	(revision 7903)
@@ -0,0 +1,58 @@
+<Template name="lastTeamStandingHUD">
+  <OverlayGroup name="lastTeamStandingHUD" scale = "1, 1">
+
+<GametypeFadingMessage
+     name     = "fadingmessage"
+     position = "0.5, 0.01"
+     font     = "VeraMono"
+     textsize = 0.04
+     colour   = "1.0, 1.0, 0.5, 1.0"
+     align    = "center"
+    />
+
+    <OverlayText
+     position  = "0.02, 0.02"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "Lives:   "
+    />
+
+    <LastTeamStandingInfos
+     position  = "0.14, 0.02"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     showlives     = true
+     showteams     = false
+    />
+
+    <OverlayText
+     position  = "0.02, 0.055"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+     caption   = "Teams: "
+    />
+
+    <LastTeamStandingInfos
+     position  = "0.14, 0.055"
+     pickpoint = "0.0, 0.0"
+     font      = "ShareTechMono"
+     textsize  = 0.04
+     colour    = "1.0, 1.0, 1.0, 1.0"
+     align     = "left"
+
+     showlives     = false
+     showteams     = true
+    />
+
+  </OverlayGroup>
+</Template>
